SDL_RenderTextureTiled(3)

NAME
SDL_RenderTextureTiled - Tile a portion of the texture to the current rendering target at subpixel precision.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_RenderTextureTiled(SDL_Renderer *renderer, SDL_Texture *texture, const SDL_FRect *srcrect, float scale, const SDL_FRect *dstrect);

DESCRIPTION
The pixels in srcrect will be repeated as many times as needed to completely fill dstrect .

FUNCTION PARAMETERS

renderer
    the renderer which should copy parts of a texture.

texture
    the source texture.

srcrect
    a pointer to the source rectangle, or NULL for the entire texture.

scale
    the scale used to transform srcrect into the destination rectangle, e.g. a 32x32 texture with a scale of 2 would fill 64x64 tiles.

dstrect
    a pointer to the destination rectangle, or NULL for the entire rendering target.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_RenderTexture(3)